Skip to main content
POST
Re-run a pipeline run of an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

run_id
string<uuid>
required

The pipeline run.

Query Parameters

failed_only
boolean
default:false

Re-run only the failed steps and what depends on them.

full_run
boolean
default:false

Run every stage, ignoring path filters.

Response

The re-run was queued.

The run a dispatch or re-run queued.

run_id
string<uuid>
required
pipeline_run_id
string<uuid>
required
run_number
integer
required